# Copyright (C) 2013, 2014 Freescale Semiconductor

DESCRIPTION = "U-Boot i.MX6 SMARC-FiMX6 platforms"
require  recipes-bsp/u-boot/u-boot.inc

PROVIDES += "u-boot"

LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://Licenses/README;md5=025bf9f768cbcb1a165dbe1a110babfb"

PROVIDES += "u-boot"
PV = "2014.04-smarcfimx6"

SRCREV = "537440da909cbdec68d036dad93a9df2eaf4fbb7"
SRCBRANCH = "smarc-imx_v2014.04_3.14.28_1.0.0_ga"
# eMMC Boot Up
#SRCREV = "d1dd1c20ee8775c3eb9515a0d0c25c854da99b45"
#SRCBRANCH = "smarc-emmc-imx_v2014.04_3.14.28_1.0.0_ga"
SRC_URI = "git://git@git.embedian.com/developer/smarc-t335x-uboot.git;protocol=ssh;branch=${SRCBRANCH}"

PR = "r0+gitr${SRCPV}"

S = "${WORKDIR}/git"

PACKAGE_ARCH = "${MACHINE_ARCH}"
COMPATIBLE_MACHINE = "(mx6)"

