# Copyright (C) 2013, 2014 Freescale Semiconductor
# Released under the MIT license (see COPYING.MIT for the terms)

SUMMARY = "Linux Kernel for SMARC-FiMX6 and supported by Embedian"
DESCRIPTION = "Linux Kernel provided and supported by Embedian with focus on \
SMARC-FiMX6 Family Computer on Modules. It includes support for many IPs such as GPU, VPU and IPU."

inherit kernel
require recipes-kernel/linux/linux-imx.inc
require recipes-kernel/linux/linux-dtb.inc

DEPENDS += "lzop-native bc-native"

SRCBRANCH = "smarc-imx_3.10.53_1.1.0_ga"

SRC_URI = "git://git@git.embedian.com/developer/smarc-fsl-linux-kernel.git;protocol=ssh;branch=${SRCBRANCH} \
        file://defconfig \
"

SRCREV = "f88566037cd62911f1f9b24fdcb8687f044a5da2"
PV = "3.10.53"
LOCALVERSION = "-1.0.1_smarc"

COMPATIBLE_MACHINE = "(imx6q1gsmarc|imx6q2gsmarc|imx6u1gsmarc|imx6solosmarc)"
